- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::ExecutableVerifier Class Reference

A Verifier that runs an executable. More...

`#include <gexecutableverifier.h>`

Inheritance diagram for GSmtp::ExecutableVerifier:

## Public Member Functions
| ExecutableVerifier (const G::Executable &)
| Constructor. More...
virtual void | verify (const std::string &rcpt_to_parameter, const std::string &mail_from_parameter, const GNet::Address &client_ip, const std::string &auth_mechanism, const std::string &auth_extra)
| Final override from GSmtp::Verifier. More...
virtual G::Signal2< std::string, VerifierStatus > & | doneSignal ()
| Final override from GSmtp::Verifier. More...
virtual void | reset ()
| Final override from GSmtp::Verifier. More...
Public Member Functions inherited from GSmtp::Verifier
virtual | ~Verifier ()
| Destructor. More...

## Detailed Description

A Verifier that runs an executable.

Definition at line 39 of file gexecutableverifier.h.

## Constructor & Destructor Documentation

GSmtp::ExecutableVerifier::ExecutableVerifier | ( | const G::Executable & | exe | ) |
| explicit

Constructor.

Definition at line 34 of file gexecutableverifier.cpp.

## Member Function Documentation

G::Signal2< std::string, GSmtp::VerifierStatus > & GSmtp::ExecutableVerifier::doneSignal | ( |  | ) |
| virtual

Final override from GSmtp::Verifier.

Implements GSmtp::Verifier.

Definition at line 109 of file gexecutableverifier.cpp.

void GSmtp::ExecutableVerifier::reset | ( |  | ) |
| virtual

Final override from GSmtp::Verifier.

Implements GSmtp::Verifier.

Definition at line 114 of file gexecutableverifier.cpp.

void GSmtp::ExecutableVerifier::verify | ( | const std::string & | rcpt_to_parameter,
|  | const std::string & | mail_from_parameter,
|  | const GNet::Address & | client_ip,
|  | const std::string & | auth_mechanism,
|  | const std::string & | auth_extra
| ) |  |
| virtual

Final override from GSmtp::Verifier.

Implements GSmtp::Verifier.

Definition at line 39 of file gexecutableverifier.cpp.

References GNet::Address::displayString(), GNet::Local::fqdn(), G_DEBUG, G::Str::head(), G::Str::tail(), and G::Str::upper().

The documentation for this class was generated from the following files:

- gexecutableverifier.h
- gexecutableverifier.cpp